CREATE TABLE hry_pi_payload_rules (
    RULE_PROPERTY_ID             NUMBER(18, 0) ,
    PARENT_RULE_PROPERTY_ID      NUMBER(18, 0) ,
    EXT_DEFINITION_ID            NUMBER(18, 0)     NOT NULL,
    PAYLOAD_RULE_NAME            VARCHAR2(120) ,
    REPORT_BLOCK_ID              NUMBER(18, 0) ,
    REPORT_RECORD_ID             NUMBER(18, 0) ,
    EXT_DATA_ELEMENT_ID          NUMBER(18, 0) ,
    MANDATORY_FLAG               VARCHAR2(80)  ,
    INCLUDED_REALTIME            VARCHAR2(80)  ,
    INCLUDED_BATCH               VARCHAR2(80)  ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    SETUP_PAYLOAD_ID             NUMBER(18, 0) ,
    BLOCK_CRITERIA               VARCHAR2(4000),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SGUID                        VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    RULE_PROPERTY_ID             NUMBER(18, 0) ,
    PARENT_RULE_PROPERTY_ID      NUMBER(18, 0) ,
    EXT_DEFINITION_ID            NUMBER(18, 0)     NOT NULL,
    PAYLOAD_RULE_NAME            VARCHAR2(120) ,
    REPORT_BLOCK_ID              NUMBER(18, 0) ,
    REPORT_RECORD_ID             NUMBER(18, 0) ,
    EXT_DATA_ELEMENT_ID          NUMBER(18, 0) ,
    MANDATORY_FLAG               VARCHAR2(80)  ,
    INCLUDED_REALTIME            VARCHAR2(80)  ,
    INCLUDED_BATCH               VARCHAR2(80)  ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    SETUP_PAYLOAD_ID             NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SGUID                        VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    BLOCK_CRITERIA               VARCHAR2(4000),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hry_pi_payload_rules PRIMARY KEY (RULE_PROPERTY_ID, RULE_PROPERTY_ID)
);
